# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


try:
    import ldap
    from ldap.filter import filter_format  # noqa: F401
except ImportError:
    ldap = None

from django.core.management.base import BaseCommand

from authentic2.backends.ldap_backend import LDAPBackend


class Command(BaseCommand):
    def handle(self, *args, **kwargs):
        verbosity = int(kwargs['verbosity'])
        if verbosity > 1:
            print('Updated users :')
        for user in LDAPBackend.get_users():
            if getattr(user, '_changed', False) and verbosity > 1:
                print(' -', user.uuid, user.get_username(), user.get_full_name())
